Subject: Re: bug#11519: "Wrong type argument: characterp" building custom-deps while boostrapping

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 May 2012 19:53:44 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 27 May 2012 22:15:00 -0400
> 
> > I didn't mean STRING_CHAR_*.  I agree that they should be fixed not to
> > have such unexpected side effect.  They should be read-only operations.
> > As a temporary band-aid for Emacs 24.1, I suggest the change below.
> 
> Looks fine

Installed as revision 108020 on the emacs-24 branch.

> (should make the regex.c patch unnecessary).

I wouldn't recommend removing the calls to
r_alloc_inhibit_buffer_relocation around calls to regex, as that is an
external function we don't control.  But if you feel strongly about
that, I will remove them.